cURL
curl --request POST \
--url https://api.maesn.dev/accounting/contacts/bulk \
--header 'Content-Type: application/json' \
--header 'X-ACCOUNT-KEY: <x-account-key>' \
--header 'X-API-KEY: <x-api-key>' \
--data '
{
"accountNumberLength": 4,
"chartOfAccount": "SKR03",
"entries": [
{
"addresses": [
{
"addressLine1": "Lucky street 1",
"addressLine2": "2nd floor",
"city": "Berlin",
"countryCode": "DE",
"postalCode": "10243",
"type": "BILLING"
}
],
"accountNumber": 70000,
"bankAccounts": [
{
"bic": "COBADEFFXXX",
"holder": "John Doe",
"iban": "DE89370400440532013000",
"sepa": true,
"isMainAccount": true,
"name": "Sparkasse"
}
],
"companyName": "maesn",
"contactPersons": "[]",
"contactType": "COMPANY",
"emailAddresses": [
{
"email": "john.doe@company.com",
"type": "BUSINESS"
}
],
"number": "1042",
"phoneNumbers": [
{
"number": "+49 7163307056",
"type": "MOBILE"
}
],
"projectId": "3",
"vatId": "DE33445672452"
}
],
"fiscalYearStartDate": "2025-01-01"
}
'import requests
url = "https://api.maesn.dev/accounting/contacts/bulk"
payload = {
"accountNumberLength": 4,
"chartOfAccount": "SKR03",
"entries": [
{
"addresses": [
{
"addressLine1": "Lucky street 1",
"addressLine2": "2nd floor",
"city": "Berlin",
"countryCode": "DE",
"postalCode": "10243",
"type": "BILLING"
}
],
"accountNumber": 70000,
"bankAccounts": [
{
"bic": "COBADEFFXXX",
"holder": "John Doe",
"iban": "DE89370400440532013000",
"sepa": True,
"isMainAccount": True,
"name": "Sparkasse"
}
],
"companyName": "maesn",
"contactPersons": "[]",
"contactType": "COMPANY",
"emailAddresses": [
{
"email": "john.doe@company.com",
"type": "BUSINESS"
}
],
"number": "1042",
"phoneNumbers": [
{
"number": "+49 7163307056",
"type": "MOBILE"
}
],
"projectId": "3",
"vatId": "DE33445672452"
}
],
"fiscalYearStartDate": "2025-01-01"
}
headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-KEY': '<x-api-key>',
'X-ACCOUNT-KEY': '<x-account-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
accountNumberLength: 4,
chartOfAccount: 'SKR03',
entries: [
{
addresses: [
{
addressLine1: 'Lucky street 1',
addressLine2: '2nd floor',
city: 'Berlin',
countryCode: 'DE',
postalCode: '10243',
type: 'BILLING'
}
],
accountNumber: 70000,
bankAccounts: [
{
bic: 'COBADEFFXXX',
holder: 'John Doe',
iban: 'DE89370400440532013000',
sepa: true,
isMainAccount: true,
name: 'Sparkasse'
}
],
companyName: 'maesn',
contactPersons: '[]',
contactType: 'COMPANY',
emailAddresses: [{email: 'john.doe@company.com', type: 'BUSINESS'}],
number: '1042',
phoneNumbers: [{number: '+49 7163307056', type: 'MOBILE'}],
projectId: '3',
vatId: 'DE33445672452'
}
],
fiscalYearStartDate: '2025-01-01'
})
};
fetch('https://api.maesn.dev/accounting/contacts/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
}
},
"data": {
"id": "433445",
"accountNumberLength": 4,
"chartOfAccount": "SKR03",
"createdDate": "2025-04-06T00:00:00Z",
"entries": [
{
"addresses": [
{
"addressLine1": "Lucky street 1",
"addressLine2": "2nd floor",
"city": "Berlin",
"countryCode": "DE",
"postalCode": "10243",
"type": "BILLING"
}
],
"accountNumber": 70000,
"bankAccounts": [
{
"bic": "COBADEFFXXX",
"holder": "John Doe",
"iban": "DE89370400440532013000",
"sepa": true,
"isMainAccount": true,
"name": "Sparkasse"
}
],
"companyName": "maesn",
"contactPersons": "[]",
"contactType": "COMPANY",
"emailAddresses": [
{
"email": "john.doe@company.com",
"type": "BUSINESS"
}
],
"number": "1042",
"phoneNumbers": [
{
"number": "+49 7163307056",
"type": "MOBILE"
}
],
"projectId": "3",
"vatId": "DE33445672452"
}
],
"fiscalYearStartDate": "2025-01-01",
"taskId": "ABBDU8834993NND"
}
}Contacts
Create contacts bulk
POST
/
accounting
/
contacts
/
bulk
cURL
Field support per integration
DATEV Rechnungswesen
DATEV Rechnungswesen
This endpoints is asynchronous. To check the status of the request, use the
GET asyncTask endpoint.For more info about asynchronous tasks visit the Asynchronous Task section.If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is accurately populated with the appropriate company ID. You can obtain this value by using the GET Companies endpoint available under the Authentication section.number
required
The
accountNumberLength field specifies the length of the G/L accounts.
The value must match the configuration defined in the end user’s mandate settings within the DATEV application.string
required
Available options:
SKR03, SKR04, SKR42, SKR51, SKR14ContactEntryRequestDto[]
Show properties
Show properties
Address[]
Show properties
Show properties
string
string
string
enum
Available options (ISO 3166-1 alpha-2):
AD, AE, AF, AG, AI, AL, AM, AO, AQ, AR, AS, AT, AU, AW, AX, AZ, BA, BB, BD, BE, BF, BG, BH, BI, BJ, BL, BM, BN, BO, BQ, BR, BS, BT, BV, BW, BY, BZ, CA, CC, CD, CF, CG, CH, CI, CK, CL, CM, CN, CO, CR, CU, CV, CW, CX, CY, CZ, DE, DJ, DK, DM, DO, DZ, EC, EE, EG, EH, ER, ES, ET, FI, FJ, FK, FM, FO, FR, GA, GB, GD, GE, GF, GG, GH, GI, GL, GM, GN, GP, GQ, GR, GS, GT, GU, GW, GY, HK, HM, HN, HR, HT, HU, ID, IE, IL, IM, IN, IO, IQ, IR, IS, IT, JE, JM, JO, JP, KE, KG, KH, KI, KM, KN, KP, KR, KW, KY, KZ, LA, LB, LC, LI, LK, LR, LS, LT, LU, LV, LY, MA, MC, MD, ME, MF, MG, MH, MK, ML, MM, MN, MO, MP, MQ, MR, MS, MT, MU, MV, MW, MX, MY, MZ, NA, NC, NE, NF, NG, NI, NL, NO, NP, NR, NU, NZ, OM, PA, PE, PF, PG, PH, PK, PL, PM, PN, PR, PT, PW, PY, QA, RE, RO, RS, RU, RW, SA, SB, SC, SD, SE, SG, SH, SI, SJ, SK, SL, SM, SN, SO, SR, SS, ST, SV, SX, SY, SZ, TC, TD, TF, TG, TH, TJ, TK, TL, TM, TN, TO, TR, TT, TV, TW, TZ, UA, UG, UM, US, UY, UZ, VA, VC, VE, VG, VI, VN, VU, WF, WS, YE, YT, ZA, ZM, ZWenum
Available options:
BILLING, WORKnumber
required
Important: if the
accountNumber is already in use, the request will update the existing contact associated with that account number.string
ContactPerson[]
enum
required
Available options:
CONTACT_PERSON, COMPANYstring
string
required
YYYY-MM-DD date format, e.g., 2025-01-01The
fiscalYearStartDate field should be set to the first day of the fiscal year, which is usually January 1st.
If your fiscal year begins on a different date, please adjust this field accordingly.If the provided date does not match the actual fiscal year start date, DATEV will not return an error code. However, the booking entries will not be posted in Rechnungswesen.
Headers
API key
Example:
"example value"
Account key
Example:
"example value"
Query Parameters
Body
application/json
Last modified on July 9, 2026
Was this page helpful?
⌘I